 /*There you can put your own css to customize and override the theme */
.hidden{ 
    display: none !important;
}

.black{
    color: black !important;
}

div.disabled {
    pointer-events: none;
    /* for "disabled" effect */
    opacity: 0.5;
    background: #CCC;
}

span.closeon {
    position: relative !important;
    left: 92% !important;
}
.external-event {
    position: relative;
    display: block;
    font-size: .85em;
    line-height: 1.3;
    border-radius: 3px;
    border: 1px solid #3a87ad;
    background-color: #3a87ad;
    font-weight: 400;
    width: auto;
    color: white;
}

div.radio{
     background-color: white !important;
}

/*div.checker span{
    background-image: url() !important;
}*/

.btn.disabled, .btn[disabled], fieldset[disabled] .btn {
  pointer-events: none;
  cursor: not-allowed;
  filter: alpha(opacity=65);
  -webkit-box-shadow: none;
  box-shadow: none;
  opacity: .65;
}

.cursor-move{
    cursor: move;
}

.color-selection{
    background-color: #428BCA !important;
}


table {
    width: 100% !important;
    max-width: 100%;
}
td {
    cursor: pointer;
    width: auto;
}
td.dt-check {
    width: 0px !important;
}
.ng-warning-comboBox {
    margin-right: 25px !important;
}
#tblPercentuais {
    width: 100%;
    overflow: auto;
}
.tabelaPercentuais.check {
    margin-left: 2px;
}

.table-checkbox{
    float: left;
}

.table-erro-icone{
    float: right;
    color: #DD9999
}

.table-erro-celula{
    background-color: #FFDBDB !important;
}

.input-erro > input{
    background-color: #FFDBDB !important;
}

.table-1-coluna{
    width: 42px;
}

/* coluna da table de percentuais*/

th.colTipoDia {
    white-space: nowrap!important;
    width: 120px!important;
    min-width: 120px !important;
    text-align: left;
    font-size: 11px!important;
    table-layout: fixed!important;
    white-space: nowrap !important;
    vertical-align: middle!important;
    border: 1px solid white !important;
}

th.colAPartirDe {
    font-size: 11px!important;
    width: 70px!important;
    text-align: center;
    border: 1px solid white !important;
}
th.colHoras {
    font-size: 11px !important;
    text-align: center;
    vertical-align: middle!important;
    min-width: 210px !important;
    padding: 0px;
    margin: 0px;
}
th.colCheck {
    width: 80px !important;
    min-width: 80px !important;
    vertical-align: middle!important;
}

th.colVazia {
    border: 1px solid white !important; 
    border-right: 0px solid #ddd !important;
}

th.tb-title {
    text-align: center;
    font-size: 11px!important;
    border: 1px solid #ddd !important;
}

th.colLimites {
    text-align: center;
    font-size: 11px!important;
}

th.colLimites:not(.bg-blue-ligth) {
    border: 1px solid #ddd !important;
}

th.colLimites.bg-blue-ligth {
    border: 1px solid #c7c7c7 !important;
}

.table.tblPercent>tbody>tr>td {
    padding: 0 !important;
    /*padding-left: 1px!important;*/
    vertical-align: middle !important;
}
.colCheckDir {
    text-align: left !important;
    /*margin-left: 4px!important;*/
    padding: 0px!important;
    margin: 0px;
    left: 4px !important;
    position: relative;
}
.padrao {
    padding: 0;
    text-align: center;
}
.timepicker-999 {
    padding: 0;
    text-align: center;
}
.celBorder {
    min-width: 80px !important;
    border-bottom: 1px solid #ddd !important;
    border-top: 1px solid #ddd !important;
    border-left: 1px solid #ddd !important;
    border-right-style: none !important;
}
.tablelaPer {
    padding: 0px;
    margin: 0px;
}
.colPercentuais {
    font-size: 11px !important;
    text-align: center;
    padding-bottom: 10px;
}
.horasMaximasIcon {
    display: flex !important; 
    flex-direction: column !important; 
    align-items: center !important; 
    margin-top: 0 !important; 
    padding-top: 3px !important;
}
.isHorasMaximasIcon {
    color:green !important; 
}
.isNotHorasMaximasIcon {
    color:#DFBA49 !important;
}
.colLimites {
    text-align: center !important;
    vertical-align: middle !important;
    font-size: 12.4px !important;
}
.colPercentuaisDias {
    padding-left: 10px !important;
    white-space: nowrap;
}

.backgroud-color-white {
   background-color: white !important;
}

/* sequencia de percentuais qeu não possuem valores*/

.celSequ {
    border: solid 1px;
    background: #eeeeee;
}

/*celula sequancia percentuais*/

.seqVazio {
    color: #333;
    background: #fff;
}

/* tabela calendario*/

.table.noPadding>tbody>tr>td {
    padding: 0 !important;
    /*padding-left: 1px!important;*/
    vertical-align: middle !important;
}
div.colCheck {
    text-align: left !important;
    /*margin-left: 4px!important;*/
    padding: 0px!important;
    margin: 0px;
    left: 7px !important;
    position: relative;
}

div.table-max-height-400{
    overflow-y: auto;
    max-height: 400px;
}

/***
Rounded Portlets
***/


/*
.portlet {
        border-radius: 4px !important;
}

.portlet .portlet-title {
        border-radius: 4px 4px 0px 0px !important;
}

.portlet .portlet-body,
.portlet .portlet-body .form-actions  {
        border-radius: 0px 0px 4px 4px !important;
}
*/

/*.clearfix {
  overflow: auto;
}*/

/*.clearfix::after {
    content: "";
    clear: both;
    display: table;
}*/

.clearfix:after {
    content: " ";
    display: block;
    height: 0;
    clear: both;
    font-size: 0;
    visibility: hidden;
}

.datatable-lista-item{
    display: inline-flex;
    padding: 0px;/*
    max-width: 50px;
    padding-left: 2px;
    padding-right: 0px;*/
}

.datatable-lista-item-text{
    white-space: nowrap !important;
    vertical-align: middle !important;
}
.datatable-lista-sub-item{
    width: 0% !important;
}

.datatable-lista-item-text-large{
    text-overflow: ellipsis !important;
    overflow: hidden;
}

.datatable-lista-item-text-120{
    max-width: 120px !important;
}

.datatable-lista-item-text-120-func{
    min-width: 120px;
    width: 120px;
    max-width: 130px !important;
}

.text-overflow {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.modal-header{
    padding: 0px !important;
}

.modal .modal-header .close {
    margin-top: 10px !important;
    margin-right: 10px !important;
}

.modal .modal-header .close .bootbox .bootbox-close-button{
    margin-top: 10px !important;
    margin-right: 10px !important;
}

.modal-header-title{
    padding: 15px;
    border-top-left-radius: 9px;
    border-top-right-radius: 9px;
}

/*Estido do ui-select
Faz com que o menu seja maior na largura que o proprio componente*/
.ui-select-choices {
    /*width: 380px !important;*/
/*    width: 405px !important;
    overflow: auto;
    text-overflow: ellipsis;
    font-size: small !important;
    position: absolute !important;
    z-index:    1000 !important;*/
    overflow-x: auto !important;

}

.ui-select-no-choice{
    /*width: 405px !important;*/
    overflow: auto;
    text-overflow: ellipsis;
    font-size: small !important;
    /*position: absolute !important;*/
    z-index:    1000 !important;
    padding:  3px 20px;
    /*Nao adicionar a linha de baixo aqui, até que todos os
     ui-select no choises estiverem implementados*/
    background-color: #428BCA; /*Tipo o do selecionado*/
    color: #FFFFFF;
}

.ui-select-choices-group{
    float: left !important;
    width: 100% !important;
    display: inline-table;
}

.margin-left-5 {
    margin-left: 5px;
}

.modal .ui-select-multiple.ui-select-bootstrap {
    position: relative !important;
    min-height:29px !important;
    z-index:    1000 !important;
}

.modal .ui-select-multiple input.ui-select-search {
    width: 100% !important;
    /*position: absolute !important;*/
    z-index:    1000 !important;
}

.div-ui-select{
    width: 410px !important;
}

.ui-select-search{
    /*width: 355px !important;*/
}

input.ui-select-search {
    /*width: 100% !important;*/
}

.ui-select-match-text{
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 20px;
}

.ui-select-toggle > .btn.btn-link {
  margin-right: 10px;
  top: 6px;
  position: absolute;
  right: 10px;
}


/*Alinhamento vertical*/
.vertical-child{
    display:inline-block !important;
    width: 100%;
    padding-bottom: 10px; 
}

.vertical-root{
    /*height:300px;*/
    display:table-cell !important;
    vertical-align:middle;
}

.element-disabled {
    /*@extend %disabled;*/
    /*pointer-events: none !important;*/
    cursor: not-allowed !important;
    /*background: #CCC;*/
    /*opacity: 0.8;*/
}

.element-disabled-add-funcionario {
    /*@extend %disabled;*/
    /*pointer-events: none !important;*/
    cursor: not-allowed !important;
    /*background: #CCC;*/
    /*opacity: 0.8;*/
}

.element-disabled-gray{
    background: #eee;
    opacity: 1 !important;
}

.element-disabled > * {
    pointer-events:none;   
}

.element-disabled.input{
    background-color: #eee !important;
}

div.element-disabled{
    /*background-color: #fff !important;*/
}

.fundo-branco{
    background-color: #fff !important;   
}

li.disabled-top-data-web{
    pointer-events: none;
    color: #777 !important;
}

li.disabled-top-data-web > * {
    color: #777 !important;
}

.block-aba{

}

.dialog-msg{
    word-wrap: break-word !important;
}

.bootbox-body {
    white-space: break-spaces !important;
}

.table-responsive{
    min-height: 100px;
    overflow-x: hidden;
}

.table-scroll-x {
    overflow-x: auto;
    width: 100%;
    padding-bottom: 0.2em;
    margin-bottom: 0.2em;
  }

/*.table-responsive {
    white-space: nowrap;
    width: 100%;
    margin-bottom: 15px;
    overflow-x: scroll;
    overflow-y: hidden;
}*/

/*Tamanho padrao para os campos de data*/
.input-tipo-data{
    max-width: 121px !important;
    min-width: 121px !important;
}

/*Tamanho padrao para os campos de telefone*/
.input-tipo-telefone{
    max-width: 138px !important;
    min-width: 138px !important;
    padding-right: 0px !important;
}

/*remove todos os paddings*/
.select-remover-padding{
    padding: 0px;
}

.remover-padding{
    padding: 0px;
}

.padding-botton-form{
    padding-bottom: 10px !important;
}


/*Sobrecarga para deixar o menu de cima "acima" de todos mas a baixo dos componetes como 'datepicker'*/
.page-header.navbar.navbar-fixed-top {
    z-index: 50;
}

.corrigir-date-picker{
    position: relative !important;
    z-index: 10000 !important;
}

.switch-height-padrao{
    height: 50px;
}

/*configuracoes para impressao*/
@media screen {
    #printSection {
        display: none;
    }
}

@media print {
    body * {
        visibility:hidden;
    }
    #printSection, #printSection * {
        visibility:visible;
    }
    #printSection {
        position:absolute;
        left:0;
        top:0;
    }

    body{ background-color:#FFFFFF; background-image:none; color:#000000 }
    #ad{ display:none;}
    #leftbar{ display:none;}
    #contentarea{ width:100%;}
}

/*CSS do logo*/
.page-logo-custom{
    float: left;
    margin-left: 25px;
    margin-right: 15px;
}

.page-logo-custom-image{
    padding-top: 20px;
    padding-left: 10px;
}

@media screen and (max-width: 768px) {
    .page-logo-custom-image{
        padding-top: 0px;
        padding-left: 10px;
        margin-top: 13px;
        height: 40px;
    }

    .img-menu{
        /* width: 183px; */
        height: 39px;
        margin-top: 4px;
    }

    .top-menu{
        height: 56px;
        float: right !important;
        margin-right: -10px !important;
        top: -16px;
        position: relative;
        width: 258px;
    }

}

@media (max-width: 359px) {
    .img-menu{
      display: none;
    }

    .page-top{
        float: left !important;        
    }
}


/*Resolução do bug no XP, onde a seta ficava caindo no menu*/
/*@media (min-width: 992px){
    .page-sidebar.navbar-collapse {
        min-width: 243px !important;
    }
}
*/
/*Remove bug de 'borda'*/
.page-sidebar-menu  li{
    box-shadow: 0px 0px 0px grey !important;
}

.sub-menu{
    box-shadow: 0px 0px 0px grey !important;   
}

.force-text-left{
    text-align: left !important;
}



/*Sobrecarga das cores dos switch*/
.bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary, .bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-primary{
    background-color: #3598dc !important;

}

.btn-primary{
    background-color: #3598dc !important;    
}

/*Sobrecarga do elemento + */
.fa-plus{
    font-size: 10px !important;
}

a.font-tab {
  color: #3598dc;
}

.label-nowrap{
    white-space: nowrap;
}
.label-bold{
    font-weight: bolder;
}

.panel-heading div:after {
    font-family:'Glyphicons Halflings';
    content:"\e114";
    float: right;
    color: grey;
}
.panel-heading div.collapsed:after {
    content:"\e080";
}

/*.datatable-popover-position-manual{
    overflow: visible !important;
}
*/

.fechar-botao-popover{
    float: right !important;
}

.side-bar-label{
    padding-left: 4px !important;
}

.img-logo{
    width: 169px;
    height: 43px;
}

.img-menu{
    /* width: 183px; */
    /* height: 43px; */
}

.img-about-us {
  width: 250px;
}

.dialog-full {
    display: none; 
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    /*background: rgba( 255, 255, 255, .8 )  50% 50%  no-repeat;
    opacity: 1;*/
    /*-ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity = 80);*/
    /*filter: alpha(opacity = 80);*/
}

.display-show{
    display: block;
}

.campo-obrigatorio {
    
    border-color: #ff98a1!important;
    /* background-color: rgba(245, 245, 245, 0.37) !important; */
}

.botao-adicionar{
    background: white !important;
    color:black !important;
}

.botao-fechar{
    position: relative;
    left: 3px
}

.toolBar{
    float: right !important;
    position: relative !important;
}

.padding-legenda-campo-obr{
    padding-left: 30px;
    padding-top: 10px;
}

.dropdown-dark-item:focus {
    background: #5b6f7c !important;
    /* text-decoration: underline !important; */
}
/* .dropdown-dark-item > span > span > span > p > span > span {
    background: #5b6f7c !important;    
} */
/* .dropdown-dark-item:hover {
    para ficar igual ao link do suporte
    text-decoration: underline !important;
} */

.inactive {
    color: #ccc !important;
    cursor: not-allowed !important;
    pointer-events: none !important;
  }
